vapigen(1)

NAME
vapigen - generate a Vala API

SYNOPSIS
vapigen SOURCE PKGBASE [OPTION]... [FILE]...

DESCRIPTION
vapigen is a utility which generates Vala API (VAPI) files from GI files, which may be generated using the vala-gen-introspect(1) utility.

EXAMPLES

After compilation, the following command generates a GI for pango:
    vala-gen-introspect pango packages/pango

This can then be converted to a Vala API as follows:
    vapigen --pkg cairo --vapidir . --library pango packages/pango/pango.gi

OPTIONS

-?, --help
    Show help option

--vapidir=DIRECTORY
    Look for package bindings in DIRECTORY.

--girdir=DIRECTORY
    Look for GIR bindings in DIRECTORY.

--metadatadir=DIRECTORY
    Look for GIR .metadata files in DIRECTORY.

--pkg=PACKAGE
    Include binding for PACKAGE

--library=NAME
    Specify library name as NAME

-d, --directory=DIRECTORY
    Specify output directory as DIRECTORY

--version
    Display version number and exit.

-q, --quiet
    Do not print messages to the console

SEE ALSO
vala-gen-introspect(1)

HOMEPAGE AND BUG REPORT
http://www.vala-project.org/

AUTHOR
vapigen for Vala was written by Jürg Billeter <j@bitron.ch> and Raffaele Sandrini <rasa@gmx.ch>.

This manual page was written by Kumar Appaiah <akumar@ee.iitm.ac.in>, for the Debian project (but may be used by others).